f = @(t,y)[(2.3e6)-335232000*y(1) + ((1/0.3)-1)*4.32e10*y(2) + 29.98*y(3)-(2e-5*y(1)); 335232000*y(1) - ((4.32e10)/0.3)*y(2); 4.32e10*y(2) - ((29.98)+ 335232000)*y(3) ];
[t,ya]=ode15s(f,[0 6e-8], [12e7  0 0]);
plot(t,ya(:,1),'b','LineWidth',1)
hold on
plot(t,ya(:,2),'k','LineWidth',1)
plot(t,ya(:,3),'g','LineWidth',1)
title('YTVA activation')
xlabel('Time(sec)')
ylabel('Concentration(nM)')
legend({' Dark state',' excited state','light-induced signalling state'},'Location','southwest')
hold off